Summary: Kerberos is a network authentication protocol.
Name: kerberos5
Version: 1.3.6
Release: 3tr
Group: Trustix Official
Source0: krb5-%{version}.tar.gz
Patch1: kerberos5-1.3.6-telnet.patch
Patch2: kerberos5-1.3.4-tempfile.patch
Patch3: krb5-CAN-2004-0175.patch
URL: http://web.mit.edu/kerberos
License: Distributable
Requires: libcom_err
BuildRequires: libcom_err-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
(MIT) Kerberos is a network authentication protocol. It is designed to provide
strong authentication for client/server applications by using secret-key
cryptography.  A free implementation of this protocol is available from the
Massachusetts Institute of Technology. Kerberos is available in many commercial
products as well.

%package devel
Group: Trustix Official
Summary: Development libraries for kerberos 5
Requires: %{name}-libs

%description devel
The kerberos5-devel package contains the development libraries and header files
for MIT kerberos5.

%package libs
Group: Trustix Official
Summary: Kerberos libraries 

%description libs
The kerberos5-libs package contains the kerberos5 libraries.

%description devel


%prep
%setup -q -n krb5-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
pushd src
export CFLAGS="${RPM_OPT_FLAGS} %{?no_stack_protector} -I/usr/include/et"
%configure --enable-shared --program-prefix=krb5 --with-system-et
make
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
pushd src
make DESTDIR="$RPM_BUILD_ROOT" install
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT



%files
%defattr(0755,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/gnats
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files libs
%{_libdir}/*.so.*

%files devel
%defattr(0755,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Thu Jun 30 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.3.6-3tr
- Security Fix: Fix for CAN-2004-0175 to krb5 rcp based on Markus Friedl's
  fix for OpenSSH scp.

* Wed Jun 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.6-2tr
- Security Fix: Buffer overflows in telnet client
- The telnet client program supplied with MIT Kerberos 5 has buffer
  overflows in the functions slc_add_reply() and env_opt_add(), which
  may lead to remote code execution.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0469 and CAN-2005-0468 to this issue.

* Tue Dec 21 2004 Erlend Midttun <erlendbm at trustix dot org> 1.3.6-1tr
- New upstream.

* Wed Sep 29 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue 

* Wed Sep  1 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3.4-2tr
- Patch security bugs

* Fri Jun 17 2004 Chr. Toldnes <christht at trustix dot org> 1.3.4-1tr
- New upstream version: 1.3.4

* Wed Jun  2 2004 Chr. Toldnes <christht at trustix dot org> 1.3.3-1tr
- New upstream version: 1.3.3
- Added patch to fix buffer overflow.

* Tue Feb 11 2004 Tor Hveem <torh at trustix dot org> 1.3.1-4th
- Fixed stupid error with file wildcards.

* Tue Feb 10 2004 Tor Hveem <torh at trustix dot org> 1.3.1-3th
- New package libs.

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-2tr
- Use system et (libcom_err)

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-1tr
- Initial release for Trustix
- built shared :)  with no stack protection :(
